Subject: Re: [PATCH 4.9 41/51] fib_rules: return 0 directly if an exactly same rule exists when NLM_F_EXCL not supplied

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 20 May 2019 11:04:29 +0200

On Sun, May 19, 2019 at 06:29:19PM -0600, David Ahern wrote:
> On 5/19/19 9:43 AM, Nathan Chancellor wrote:
> > Hi all,
> > 
> > This commit is causing issues on Android devices when Wi-Fi and mobile
> > data are both enabled. The device will do a soft reboot consistently.
> > So far, I've had reports on the Pixel 3 XL, OnePlus 6, Pocophone, and
> > Note 9 and I can reproduce on my OnePlus 6.
> > 
> > Sorry for taking so long to report this, I just figured out how to
> > reproduce it today and I didn't want to report it without that.
> > 
> > Attached is a full dmesg and the relevant snippet from Android's logcat.
> > 
> > Let me know what I can do to help debug,
> > Nathan
> > 
> 
> It's a backport problem. err needs to be reset to 0 before the goto.

Ah, I see it, let me go queue up a fix for this.

thanks,

greg k-h